Bug 1328707 - [RFE] make it possible to run katello-remove unattended
Summary: [RFE] make it possible to run katello-remove unattended
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule   
(Show other bugs)
Version: 6.2.0
Hardware: x86_64
OS: Linux
low
low vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Peter Ondrejka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: FutureFeature, RFE, Triaged
: 1481107 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-20 06:27 UTC by Jan Hutař
Modified: 2018-10-16 15:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:14 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27 UTC
Foreman Issue Tracker 16003 None None None 2016-08-29 20:02 UTC
Red Hat Knowledge Base (Solution) 3181071 None None None 2017-12-12 17:29 UTC

Description Jan Hutař 2016-04-20 06:27:56 UTC
Description of problem:
I was about to uninstall about 17 capsules and had to do it manually. I would expect option like `capsule-remove --I-really-know-what-Iam-doing-so-do-not-ask-me`


Version-Release number of selected component (if applicable):
foreman-installer-katello-3.0.0.18-1.el7sat.noarch


How reproducible:
always


Steps to Reproduce:
1. `capsule-remove --help` or `man capsule-remove`


Actual results:
Tool have to be run manually.


Expected results:
There should be option for unattended run of the tool.

Comment 1 Bryan Kearney 2016-07-08 20:41:39 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 6 Chris Roberts 2017-12-12 17:29:53 UTC
*** Bug 1481107 has been marked as a duplicate of this bug. ***

Comment 7 Peter Ondrejka 2018-07-02 09:37:43 UTC
Verifed on Sat 6.4 snap 10, katello-remove is now shipped with functioning -y option

Comment 9 errata-xmlrpc 2018-10-16 15:26:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.